Bug 491226 - TPS UI needs to respond better to errors from the CA when marking a token's status as damaged/ lost
TPS UI needs to respond better to errors from the CA when marking a token's s...
Status: NEW
Product: Dogtag Certificate System
Classification: Community
Component: ESC (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jack Magne
Ben Levenson
:
Depends On:
Blocks: 530474
  Show dependency treegraph
 
Reported: 2009-03-19 18:03 EDT by Asha Akkiangady
Modified: 2015-01-04 19:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tps-debug log messages (20.80 KB, text/plain)
2009-03-23 12:48 EDT, Asha Akkiangady
no flags Details
error.log messages (800 bytes, text/plain)
2009-03-23 12:56 EDT, Asha Akkiangady
no flags Details
CA debug log attached (6.25 KB, text/plain)
2009-03-23 18:03 EDT, Asha Akkiangady
no flags Details

  None (edit)
Description Asha Akkiangady 2009-03-19 18:03:24 EDT
Description of problem:
TPS: Agent operation to put the token status to physically damaged/temporarily lost/permanently lost/ temporarily lost token can not be found, token has been terminated functions are not working. 

Version-Release number of selected component (if applicable):
CS 8.0

How reproducible:


Steps to Reproduce:
1. Enroll a user token.
2. From TPS agent page List the tokens and click on the user token
3. Select any of the above mentioned operations (example: This token has been temporarily lost), Select Go and Confirm again with a GO.
  
Actual results:
A blank page is displayed.

Expected results:
The token status is set to the requested operation and a Confirmation message.

Additional info:
Comment 1 Ade Lee 2009-03-20 17:59:36 EDT
Asha, 

I do not see this behavior on dogtag.  Will check on rhel -- but ..

Please reproduce and attach tps-debug.log and error.log
Comment 2 Ade Lee 2009-03-20 20:59:13 EDT
Also - when you reproduce -- please get a copy of the page source.  Even though the page is blank - there may still be data displayed if you right click (view page source).

Thanks
Comment 3 Asha Akkiangady 2009-03-23 12:48:50 EDT
Created attachment 336324 [details]
tps-debug log messages
Comment 4 Asha Akkiangady 2009-03-23 12:56:19 EDT
Created attachment 336326 [details]
error.log messages
Comment 5 Asha Akkiangady 2009-03-23 12:57:45 EDT
I executed this test on RHEL 5.3 firefox. Page source does not have any content.
Comment 6 Ade Lee 2009-03-23 17:37:41 EDT
Please attach the CA log for the corresponding activity - thanks.
Comment 7 Asha Akkiangady 2009-03-23 18:03:34 EDT
Created attachment 336402 [details]
CA debug log attached
Comment 8 Asha Akkiangady 2009-03-25 12:33:25 EDT
Installed latest port separated build., lost/damaged token operation can be performed. This is no more an urgent bug. But the TPS -UI does not respond gracefully for errors in other subsystems such as CA is still a bug.
Comment 9 Ade Lee 2009-03-28 02:17:11 EDT
changed the title and reduced priority as appropriate.

Note You need to log in before you can comment on or make changes to this bug.